| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Private Member Functions | Private Attributes | List of all members
Genfun::GaudiMathImplementation::Adapter3DoubleFunction Class Reference

mandatory macro from CLHEP/GenericFunctions More...

`#include <GaudiMath/Adapters.h>`

Inheritance diagram for Genfun::GaudiMathImplementation::Adapter3DoubleFunction:
[legend]
Collaboration diagram for Genfun::GaudiMathImplementation::Adapter3DoubleFunction:
[legend]

## Public Types
typedef double(* | Function) (const double, const double, const double)
| the actual type of the function "to be adapted" More...

## Public Member Functions
| Adapter3DoubleFunction (Function func)
| mandatory macro from CLHEP/GenericFunctions More...
| Adapter3DoubleFunction (const Adapter3DoubleFunction &)=default
| copy coinstructor More...
double | operator() (double x) const override
double | operator() (const Argument &x) const override
unsigned int | dimensionality () const override
bool | hasAnalyticDerivative () const override
| Does this function have an analytic derivative? More...
Genfun::Derivative | partial (unsigned int i) const override
| Derivatives. More...
double | operator() (const double x, const double y, const double z) const

## Private Member Functions
Adapter3DoubleFunction & | operator= (const Adapter3DoubleFunction &)

## Private Attributes
Function | m_func = nullptr

## Detailed Description

mandatory macro from CLHEP/GenericFunctions

constructor from the trivial function with two argument

double func( const double , const double , const double ) ;
const AbsFuction& fun = Adapter2DoubleFunction( fun ) ;
// evaluate the function in point (1,2,3):
Argument arg(3) ;
arg[0] = 1 ;
arg[1] = 2 ;
arg[2] = 3 ;
double value = fun( arg ) ;

Parameters

  func | pointer to trivial function

Author
  Kirill Miklyaev kiril.nosp@m.lm@i.nosp@m.ris1..nosp@m.itep.nosp@m..ru
  Vanya BELYAEV Ivan..nosp@m.Bely.nosp@m.aev@i.nosp@m.tep..nosp@m.ru

Date
  2003-08-03

Definition at line 222 of file FunAdapters.h.

## Member Typedef Documentation

typedef double( * Genfun::GaudiMathImplementation::Adapter3DoubleFunction::Function) (const double, const double, const double)

the actual type of the function "to be adapted"

Definition at line 226 of file FunAdapters.h.

## Constructor & Destructor Documentation

Genfun::GaudiMathImplementation::Adapter3DoubleFunction::Adapter3DoubleFunction | ( | Adapter3DoubleFunction::Function | func | ) |

mandatory macro from CLHEP/GenericFunctions

constructor

Definition at line 69 of file Adapter.cpp.

69 : m_func( func ) {}
GaudiPluginService.cpluginsvc.func
func
Definition: cpluginsvc.py:229
Genfun::GaudiMathImplementation::Adapter3DoubleFunction::m_func
Function m_func
Definition: FunAdapters.h:255

Genfun::GaudiMathImplementation::Adapter3DoubleFunction::Adapter3DoubleFunction | ( | const Adapter3DoubleFunction & |  | ) |
| default

copy coinstructor

## Member Function Documentation

unsigned int Genfun::GaudiMathImplementation::Adapter3DoubleFunction::dimensionality | ( |  | ) | const
| inline override

Definition at line 241 of file FunAdapters.h.

241 { return 3; }

bool Genfun::GaudiMathImplementation::Adapter3DoubleFunction::hasAnalyticDerivative | ( |  | ) | const
| inline override

Does this function have an analytic derivative?

Definition at line 243 of file FunAdapters.h.

243 { return true; }

double Genfun::GaudiMathImplementation::Adapter3DoubleFunction::operator() | ( | double | x | ) | const
| override

Definition at line 71 of file Adapter.cpp.

71 { return m_func( x, 0, 0 ); }
Genfun::GaudiMathImplementation::Adapter3DoubleFunction::m_func
Function m_func
Definition: FunAdapters.h:255

double Genfun::GaudiMathImplementation::Adapter3DoubleFunction::operator() | ( | const Argument & | x | ) | const
| override

double Genfun::GaudiMathImplementation::Adapter3DoubleFunction::operator() | ( | const double | x,
|  | const double | y,
|  | const double | z
| ) |  | const

Definition at line 75 of file Adapter.cpp.

76 {
77 return m_func( x, y, z );
78 }
Genfun::GaudiMathImplementation::Adapter3DoubleFunction::m_func
Function m_func
Definition: FunAdapters.h:255

Adapter3DoubleFunction& Genfun::GaudiMathImplementation::Adapter3DoubleFunction::operator= | ( | const Adapter3DoubleFunction & |  | ) |
| private

Genfun::Derivative Genfun::GaudiMathImplementation::Adapter3DoubleFunction::partial | ( | unsigned int | i | ) | const
| override

Derivatives.

Definition at line 81 of file Adapter.cpp.

82 {
83 if ( i >= 3 ) {
84 GaudiMath::Constant aux{0, 3};
85 return Genfun::FunctionNoop( &aux );
86 }
87 GaudiMath::Derivative aux{*this, i};
88 return Genfun::FunctionNoop( &aux );
89 }
Genfun::GaudiMathImplementation::Constant
Fixed constant function.
Definition: Constant.h:31
Genfun::GaudiMathImplementation::NumericalDerivative
Numerical derivative (using GSL adaptive numerical differentiation)
Definition: NumericalDerivative.h:42

## Member Data Documentation

Function Genfun::GaudiMathImplementation::Adapter3DoubleFunction::m_func = nullptr
| private

Definition at line 255 of file FunAdapters.h.

The documentation for this class was generated from the following files:

- GaudiGSL/GaudiMath/FunAdapters.h
- GaudiGSL/src/Lib/Adapter.cpp